1.2.1 Installation error 500

Discussion in 'Install/Upgrade Support' started by kittybak, Jun 3, 2018.

  1. kittybak

    kittybak New Member

    Joined:
    Jun 1, 2018
    Messages:
    7
    Likes Received:
    0
    Hello I am new here and no programmer. I get the error during installation 500 why is this?
    I would be glad if someone could help me, thanks!

    This is in the.htaccess:
    # If you are getting 500 errors try setting this to your charset
    # AddDefaultCharset utf-8

    I have no idea what I have to do!
     
  2. pani100

    pani100 Well-Known Member

    Joined:
    May 9, 2011
    Messages:
    2,327
    Likes Received:
    449
    I would go to the .htaccess file and remove everything and test if it shows then.
    If it does it most likely wil be some of the lines inside there not agreeing with your hosts Apache Version.
    If you can find out what Apache Version your server is running let us know. If it is 2.4 you will need to change the below 2 :

    # secure htaccess file
    <Files .htaccess>
    Require all denied
    </Files>

    # disable access to logs/template files
    <Files ~ "\.(log|tpl)$">
    Require all denied
    </Files>

    Test and report back.
     
  3. david62311

    david62311 Well-Known Member

    Joined:
    Aug 29, 2013
    Messages:
    2,144
    Likes Received:
    246
    I just installed a fresh copy from https://github.com/renlok/WeBid an hour ago and it seems to work as far as I can tell. Maybe try to use the zip package from this link. There could be some bugs in there or unfinished updates but, it's worth a shot.
     
  4. pani100

    pani100 Well-Known Member

    Joined:
    May 9, 2011
    Messages:
    2,327
    Likes Received:
    449
    Hi david62311, what version of Apache are you using? I have 2.4 and came across the above issue working on the github version.
    Further issues found discussed here
     
  5. kittybak

    kittybak New Member

    Joined:
    Jun 1, 2018
    Messages:
    7
    Likes Received:
    0
    Hello pani 10,
    Hello thanks for the information. If I delete the .htaccess I can install the system.
    I deleted the old code and copied the code from you. Can the system instill thanks for your quick help.
    beste regards, kitty
    I'm looking for someone who can create a template for me, do you have an idea?
     
  6. kittybak

    kittybak New Member

    Joined:
    Jun 1, 2018
    Messages:
    7
    Likes Received:
    0
    so if I delete that:
    # disable directory browsing
    Options All -Indexes
    then i can install the system,kitty
     
  7. kittybak

    kittybak New Member

    Joined:
    Jun 1, 2018
    Messages:
    7
    Likes Received:
    0
    Hello, thanks for the link but exactly the same problem, beste regards, kitty
     
  8. david62311

    david62311 Well-Known Member

    Joined:
    Aug 29, 2013
    Messages:
    2,144
    Likes Received:
    246
    @pani100 my Apache version is 2.4.18.
    Current PHP version: 7.0

    Is it possible that the PHP Version might need to be changed up? Remember we usually have to manually change the PHP Version.

    I'm hardly ever on this forum anymore. I was just curious if anybody started to work on a Bootstrap 4 theme. I tried to migrate the codes from bootstrap 3 to bootstrap 4 but, I got issues. That's why I installed a fresh copy of Webid.

    You should be able to remove all of the code from the .htaccess file and then try to run the install on the Webid Script to see if it is the code in the .htaccess file that's causing the issues. Back up the .htaccess before you remove all of the code.
     
  9. david62311

    david62311 Well-Known Member

    Joined:
    Aug 29, 2013
    Messages:
    2,144
    Likes Received:
    246
    That is very strange on the github https://github.com/renlok/WeBid/blame/master/.htaccess that it shows that I submitted this part of the code:
    # AddDefaultCharset utf-8

    I didn't do that. I added the block blank user-agents and that was it.

    Prior to that it was part of the update for security patch. Hopefully, I didn't add some space or something there to goof up the script installation.
     
  10. kittybak

    kittybak New Member

    Joined:
    Jun 1, 2018
    Messages:
    7
    Likes Received:
    0
    Hello, I have deleted this
    # disable directory browsing
    Options All -Indexes
    the system can be easily installed. I just do not know if I had deleted something important

    beste Regards kittybak
     
  11. david62311

    david62311 Well-Known Member

    Joined:
    Aug 29, 2013
    Messages:
    2,144
    Likes Received:
    246
    That's good you went line to line to figure out what was blocking it. If you already got Webid Script installed then put the code back. I believe that .htaccess code prevents users from browsers the contents in your folders. You want that code there.

    Your find should help others if they come up with the same 500 install error issue. They can remove it and then put it back up once they finish installing their Webid Script.
     
  12. kittybak

    kittybak New Member

    Joined:
    Jun 1, 2018
    Messages:
    7
    Likes Received:
    0
    Hello david62311
    If I insert this deleted line, then the system will not work anymore. I get the 500 error message again
    # disable directory browsing
    Options All -Indexes
    I am looking for someone who can change me different things in this script, of course, against payment.
    For example, CKeditor I need one where the customer can also insert or copy HTML code.
    The customer needs in his account extra pages where he can insert the terms and conditions, cancellation policy, information on withdrawal.
    I am not a programmer and have no idea about it. I would be glad if someone finds someone who can do these things for me. We would have to negotiate the costs if everything is clear, thank you! Beste Regards, kittybak
     
  13. david62311

    david62311 Well-Known Member

    Joined:
    Aug 29, 2013
    Messages:
    2,144
    Likes Received:
    246
    Are you using ftp or some kind of file transfer program? I read that that could have issues with reading the files inside of the folder with the .htaccess code that is used there. I don't use ftp at all and never have tried to. I just manually upload my file to my server.

    About the other topics you mentioned. You have to start a new thread for that because it's not related to the same issue here. There might actually be topics on the ckeditor already so, run a search in the forum for it.
     
  14. kittybak

    kittybak New Member

    Joined:
    Jun 1, 2018
    Messages:
    7
    Likes Received:
    0
    Thanks for your quick reply. I have solved ckeditor. I use ftp else i have no idea.
    beste regards, Kitty
     

Share This Page